# Dynamic IP Pools

Dynamic IP Pools allow you to group your dedicated IPs into customized "pools" based on sender reputation. Domains enrolled in Dynamic IP Pools will be assigned to a pool based on the result of periodic health checks.

 - [POST /v3/domains/{name}/dynamic_pools](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/post-v3-domains--name--dynamic-pools.md): Domains enrolled in the Dynamic IP pools feature will be assigned an IP pool based on reputation. The feature must be enabled and configured before enrolling domains.
 - [DELETE /v3/domains/{name}/dynamic_pools](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/delete-v3-domains--name--dynamic-pools.md): The behavior of this endpoint depends on the value of the `replacement_ip` and `replacement_pool_id` parameters. One of these parameters (but not both) must be provided. If `replacement_ip` is provide
 - [GET /v3/domains/dynamic_pools/assignable](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/get-v3-domains-dynamic-pools-assignable.md): Lists all domains that are not already enrolled in dynamic IP pools.
 - [POST /v3/domains/all/dynamic_pools/enroll](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/post-v3-domains-all-dynamic-pools-enroll.md): Begins an asynchronous background job to assign all domains to Dynamic IP Pools. This can also include domains belonging to subaccounts depending on the provided parameters. The Dynamic IP Pools featu
 - [GET /v3/dynamic_pools](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/get-v3-dynamic-pools.md): Returns the list of IPs belonging to each of the account's Dynamic IP Pools.
 - [POST /v3/dynamic_pools/all](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/post-v3-dynamic-pools-all.md): Any existing IPs in dynamic IP pools will be replaced. All IPs must be dedicated IPs and belong to the account. Additionally, each dynamic IP pool must contain at least 1 IP that is not currently warm
 - [DELETE /v3/dynamic_pools/all](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/delete-v3-dynamic-pools-all.md): Removes all dynamic IP pools from the account. All domains on the account (and subaccounts, if any) must be removed from dynamic IP pools before the pools can be removed. Any standard dedicated IP poo
 - [POST /v3/dynamic_pools/{pool_name}/{ip}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/post-v3-dynamic-pools--pool-name---ip-.md): Adds a given IP to a Dynamic IP Pool. The IP must be dedicated and belong to the account.
 - [PATCH /v3/dynamic_pools/{pool_name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/patch-v3-dynamic-pools--pool-name-.md): Adds and/or removes IPs to/from the specified dynamic IP pool. A given pool is required to have at least 1 IP that is not actively warming. Additionally, a single IP cannot be assigned to multiple dyn
 - [GET /v1/dynamic_pools/domains](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/get-v1-dynamic-pools-domains.md): Retrieves all domains enrolled in dynamic IP pools across the parent account and subaccounts.
 - [GET /v1/dynamic_pools/domains/{name}/preview](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/get-v1-dynamic-pools-domains--name--preview.md): Runs a health check on a domain and returns which pool it would be placed in. It does NOT enroll the domain or set the band
 - [GET /v1/dynamic_pools/domains/{name}/history](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/get-v1-dynamic-pools-domains--name--history.md): Retrieves a domain's history records
 - [PUT /v1/dynamic_pools/domains/{name}/override](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/put-v1-dynamic-pools-domains--name--override.md): Overrides a domain's dynamic IP pool assignment. A domain's pool will not be updated by health checks while an override is present.
 - [DELETE /v1/dynamic_pools/domains/{name}/override](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/delete-v1-dynamic-pools-domains--name--override.md): Removes any dynamic IP pool override for a domain. The domain's pool assignment will be managed by health checks.
 - [GET /v1/dynamic_pools/history](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/dynamic-ip-pools/get-v1-dynamic-pools-history.md): Retrieve history records for all domains assigned to Dynamic IP Pools across the parent and subaccounts.
